﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace WPFTest
{
    public class MarginConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Record rec = value as Record;
            if (rec != null)
            {
                if (!(rec is HeaderRecord))
                {
                    Thickness t = new Thickness((((int)rec.NestingDepth / 2) * -17), 0, 0, 0);

                    return t;
                }
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {           
           throw new NotImplementedException();
        }
    }
}
